> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wrapped asset conversion rate

> Returns the conversion rate of a wrapped asset

### Testing

You can test the `cbETH` conversion rate by sending an HTTP GET request to the following URL:

[https://api.exchange.coinbase.com/wrapped-assets/CBETH/conversion-rate](https://api.exchange.coinbase.com/wrapped-assets/CBETH/conversion-rate)

### Response

#### 200 Success

A successful request responds with HTTP status code 200 (OK) and the JSON response body has the following form:

```json lines wrap theme={null}
{
  "amount": "1.001374669367288075"
}
```

The `amount` field in the response body is the number of `ETH2` units that can be exchanged for 1 `cbETH`.

#### 429 Failure

This endpoint can be queried at most once a second.

If queried more than once a second, the failed request responds with HTTP status code 429 ([Too Many Requests](https://docs.w3cub.com/http/status/429)) and the JSON response body has the following form:

```json lines wrap theme={null}
{
  "message": "Public rate limit exceeded"
}
```

<Tip>
  Coinbase recommends that you repeatedly query the API, sleeping 1 second in between queries, to get conversion rate updates (currently updated 1x a day) as soon as possible without exceeding the rate limit.
</Tip>


## OpenAPI

````yaml GET /wrapped-assets/{wrapped_asset_id}/conversion-rate
openapi: 3.0.1
info:
  title: REST API
  description: >-
    # Welcome to Coinbase Exchange API

    ## Introduction

    The Exchange Trading APIs allow institutions to place orders and access
    account information. The following API pages detail various REST API
    endpoints we offer for lower-frequency trading and general requests.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Authentication](/exchange/docs/rest-auth)

    - [Rate Limits](/exchange/docs/rest-rate-limits)

    - [Pagination](/exchange/docs/rest-pagination)

    - [Status Codes](/exchange/docs/rest-requests)

    - [Quickstart](/exchange/docs/getting-started)

    ## FIX API

    - [FIX API reference](/exchange/docs/fix-connectivity)

    ## WebSocket API

    - [WebSocket API reference](/exchange/docs/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.exchange.coinbase.com/
security:
  - ApiKeyAuthKey: []
    ApiKeyAuthPassphrase: []
    ApiKeyAuthSign: []
    ApiKeyAuthTimestamp: []
paths:
  /wrapped-assets/{wrapped_asset_id}/conversion-rate:
    get:
      tags:
        - Wrapped assets
      summary: Get wrapped asset conversion rate
      description: Returns the conversion rate of a wrapped asset
      operationId: ExchangeRESTAPI_GetWrappedAssetConversionRate
      parameters:
        - name: wrapped_asset_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiWrappedAssetConversionRate'
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiErrorResponse'
        '500':
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiErrorResponse'
      security: []
components:
  schemas:
    apiWrappedAssetConversionRate:
      required:
        - amount
      type: object
      properties:
        amount:
          type: string
      example:
        amount: '1.006081377449935752'
    apiErrorResponse:
      type: object
      properties:
        message:
          title: message
          pattern: ^[a-zA-Z0-9]{1, 32}$
          type: string
  securitySchemes:
    ApiKeyAuthKey:
      type: apiKey
      name: cb-access-key
      in: header
    ApiKeyAuthPassphrase:
      type: apiKey
      name: cb-access-passphrase
      in: header
    ApiKeyAuthSign:
      type: apiKey
      name: cb-access-sign
      in: header
    ApiKeyAuthTimestamp:
      type: apiKey
      name: cb-access-timestamp
      in: header

````